Package com.macrofocus.high_d.statistics

# Class AbstractStatistics<Component,Color,Format,R,C,V>

java.lang.Object
com.macrofocus.high_d.statistics.AbstractStatistics<Component,Color,Format,R,C,V>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `Statistics<Component,Color,Format,R,C,V>`

Direct Known Subclasses:
  `JavaFXStatistics`

public abstract class AbstractStatistics<Component,Color,Format,R,C,V> extends Object implements Statistics<Component,Color,Format,R,C,V>
Created by luc on 02/06/16.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Table<Component,Color,Format,StatisticsDataFrame.Stat,C,Object>`
  `table`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractStatistics(com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract Table<Component,Color,Format,StatisticsDataFrame.Stat,C,Object>`
  `createTable()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `Component`
  `getNativeComponent()`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setModel(com.macrofocus.molap.dataframe.DataFrame dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<StatisticsDataFrame.Stat,C> axisGroupModel)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

- ## Field Details

  - ### table

    protected final Table<Component,Color,Format,StatisticsDataFrame.Stat,C,Object> table

- ## Constructor Details

  - ### AbstractStatistics

    public AbstractStatistics(com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory)

- ## Method Details

  - ### setModel

    public void setModel(com.macrofocus.molap.dataframe.DataFrame dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<StatisticsDataFrame.Stat,C> axisGroupModel)
    Specified by:
      `setModel` in interface `Statistics<Component,Color,Format,R,C,V>`

  - ### createTable

    protected abstract Table<Component,Color,Format,StatisticsDataFrame.Stat,C,Object> createTable()

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `Statistics`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `Statistics<Component,Color,Format,R,C,V>`
    Returns:
      the color theme

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `Statistics`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `Statistics<Component,Color,Format,R,C,V>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### getNativeComponent

    public Component getNativeComponent()
    Specified by:
      `getNativeComponent` in interface `com.macrofocus.crossplatform.CPComponent<Component>`